#ifndef ANALOG_IN_LPF_H_
#define ANALOG_IN_LPF_H_

/**** Includes ****/
#include <stdint.h>
#include "ain.h"

namespace bsp {

/**** Public definitions ****/
class AnalogInLfp : public AnalogIn
{	
	public:
	// New stuff
	AnalogInLfp(void);
	~AnalogInLfp(void);
	
	void init(uint8_t adc_ch);
	uint16_t read(void);
	
	uint8_t strength;
	uint16_t last_read_direct;
	
	#ifndef TESTING
	protected:
	#endif
};

/**** Public function declarations ****/

#ifdef TESTING
#endif

} //namespace

#endif /* ANALOG_IN_LPF_H_ */